%define anolis_release 1
%global pypi_name huggingface-hub
%global pypi_version 0.20.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Client library to download and publish models, datasets and other repos on the huggingface

License:        Apache
URL:            https://github.com/huggingface/huggingface_hub
Source0:        https://github.com/huggingface/huggingface_hub/archive/refs/tags/v0.20.1.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(jedi)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(types-pyyaml)
BuildRequires:  python3dist(types-requests)
BuildRequires:  python3dist(urllib3)

%description
Client library to download and publish models, datasets and other repos on the huggingface

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(filelock)
Requires:       python3dist(fsspec)
Requires:       python3dist(importlib-metadata)
Requires:       python3dist(numpy)
Requires:       python3dist(packaging) >= 20.9
Requires:       python3dist(pyyaml) >= 5.1
Requires:       python3dist(tqdm) >= 4.42.1
Requires:       python3dist(typing-extensions) >= 3.7.4.3

%description -n python3-%{pypi_name}
Client library to download and publish models, datasets and other repos on the huggingface

%prep
%autosetup -n huggingface_hub-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/huggingface-cli
%{python3_sitelib}/huggingface_hub
%{python3_sitelib}/huggingface_hub-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Dec 26 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.20.1-1
- Upgrade to 0.20.1

* Wed Sep 13 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.16.4-1
- Initial package.
